Edushade Docs
Notices

List notices

GET
/admin/notices
AuthorizationBearer <token>

In: header

Query Parameters

page?number

Page number

Default1
Range1 <= value
per_page?number

Number of notices per page

Default10
Range1 <= value <= 100
audience_type?string

Filter by audience type (values: role, course, quiz, event, learning_path, cohort, user_individual) [default: course]

Defaultnull
Value in"role" | "course" | "quiz" | "event" | "learning_path" | "cohort" | "user_individual"
priority?string

Filter by priority (values: low, normal, high, urgent) [default: normal]

Defaultnull
Value in"low" | "normal" | "high" | "urgent"
creator_id?string

Filter by creator ID

Defaultnull
Formatuuid
pinned?boolean

Filter by pinned status

Defaultnull
status?string

Filter by status (values: published, draft, archived, scheduled) [default: published]

Defaultnull
Value in"published" | "draft" | "archived" | "scheduled"
search?string

Search in notice title and body

Defaultnull

Response Body

curl -X GET "https://edushade.com/api/v1/admin/notices?page=1&per_page=10&audience_type=role&priority=low&status=published"
{}
Empty
Empty
Empty